#!/bin/bash
echo
msg0="L'installation requiert les droits d'administrateur. "
msgerr1="Erreur pendant l'installation :\n vérifiez les pré-requis et/ou\n que votre système est compatible.\n Si tout vous semble en ordre, merci de signaler le problème."
msgerr2="Le nom de l'application ou de sa version est invalide : le nom du dossier doit être de la forme NomAPP_vNrM sans blancs !"
msgerr=""
title="SETUP"

if [ $LANG != "fr_FR.UTF-8" ]; then
	msg0="Install required root (administrator) rights. "
	msgerr1="Error during installation :\n check requirements and/or\n distribution parameters/compatibility. \nIf all seems Ok, then, please, report this as a bug."
	msgerr2="Application or version name is invalid : the folder name format must be AppName_vNrM without any blank !"
fi
guicommand="$(./common/setuputil/readRexCdir)"
if [ $? != 0 ]; then 
	if [ "$guicommand" = "invalid" ]; then 
		echo "$msgerr2"
		kdialog --title "$title" --sorry "$msgerr2"
		exit 99
	else
		echo "$msgerr1"
		kdialog --title "$title" --sorry "$msgerr1"
		exit 99
	fi
fi

versionNo="$(./common/setuputil/readRexCver)"
if [ $? != 0 ]; then 
	if [ "$versionNo" = "invalid" ]; then 
		echo "$msgerr2"
		kdialog --title "$title" --sorry "$msgerr2"
		exit 99
	else
		echo "$msgerr1"
		kdialog --title "$title" --sorry "$msgerr1"
		exit 99
	fi 
fi

echo $msg0
LOCALPREFIX=$(kde-config --expandvars --localprefix)
kdesu "./setup/setupsu.sh $LOCALPREFIX" --nonewdcop
if [ $? != 0 ]; then 
	kdialog --title ""$guicommand"" --sorry "$msgerr1"
	exit 99 
fi
exit