#!/bin/bash
LOCALPREFIX=$1
SERVICEMENUKPATH="$LOCALPREFIX"share/apps/konqueror/servicemenus
SERVICEMENUDPATH="$LOCALPREFIX"share/apps/d3lphin/servicemenus

echo
msg0="L'installation requiert les droits d'administrateur. "
msg10="Choisissez les options ou pré-requis à installer :"
msg3="Copie de "
msg4="Création de "
msg5="Abandon de l'installation"
msg11="Click droit Konqueror"
msg12="Click droit Dolphin"
msg13="Installer HanBrakeCLI depuis internet"
msgerr1="Erreur pendant l'installation :\n vérifiez les pré-requis et/ou\n que votre système est compatible.\n Si tout vous semble en ordre, merci de signaler le problème."
msgerr=""
title="SETUP"

if [ $LANG != "fr_FR.UTF-8" ]; then
	msg0="Install required root (administrator) rights. "
	msg10="Please choose installation options :"
	msg3="Copy of "
	msg4="Creation of "
	msg5="Installation canceled"
	msg11="'Right-click' action for Konqueror"
	msg12="'Right-click' action for Dolphin"
	msg13="Install HandBrakeCLI from internet"
	msgerr1="Error during installation :\n check requirements and/or\n distribution parameters/compatibility. \nIf all seems Ok, then, please, report this as a bug."
fi

## Récupératon des variables d'installation
GUICOMMAND=$(./common/setuputil/readRexCdir)
if [ $? != 0 ]; then 
	echo "Check requirements : $msgerr1"
	kdialog --title "$title" --sorry "$msgerr1"
	exit 99 
fi
VERSIONNO=$(./common/setuputil/readRexCver)
if [ $? != 0 ]; then 
	echo "Check requirements : $msgerr1"
	kdialog --title "$title" --sorry "$msgerr1"
	exit 99 
fi

export GUICOMMAND
export VERSIONNO
echo $GUICOMMAND
echo $VERSIONNO
INSTALLPATH="$(kde-config --expandvars --install data)/kmdr-$GUICOMMAND"
export INSTALLPATH
echo $INSTALLPATH

## Affichage de la liste des options d'installation
INST=$(kdialog --title "$GUICOMMAND" --checklist "$msg10" 1 "$msg11" on 2 "$msg12" on 3 "$msg13" off)
if [ $? = 1 ] ; then
	kdialog --title "$GUICOMMAND" --sorry "$msg5"
	exit
fi

if [ -d "$INSTALLPATH" ]; then
	echo $msg3 "app/core, common/core => "$INSTALLPATH
else
	echo $msg4$INSTALLPATH
	mkdir "$INSTALLPATH">/dev/null 2>&1
	echo $msg3 "app/core, common/core => "$INSTALLPATH
fi

if [ -f "app/core/core.kmdr" ]; then
	cat app/core/core.kmdr | sed "
					s/##guicommand##/$GUICOMMAND/
					s/##version##/$VERSIONNO/
					" >"$INSTALLPATH/$GUICOMMAND.kmdr"
	chmod 755 "$INSTALLPATH/$GUICOMMAND.kmdr"
	cp common/core/GuiKommander.rex /usr/local/bin
	chmod 755 /usr/local/bin/GuiKommander.rex
	cmdKommander="GuiKommander.rex"
else
	cp common/core/RexKommander.rex /usr/local/bin
	chmod 755 /usr/local/bin/RexKommander.rex
	cmdKommander="RexKommander.rex"
fi

cp app/core/core_icon.png "$INSTALLPATH/"$GUICOMMAND"_icon.png"

cp app/core/core_init.rex "/usr/local/bin/"$GUICOMMAND"_init.rex"
cp app/core/core.rex "/usr/local/bin/$GUICOMMAND.rex"

cp common/core/readRexSetting /usr/local/bin
cp common/core/KMDRREXARGS /usr/local/bin
cp common/core/REXDIALOGKDE4 /usr/local/bin/REXDIALOG

echo "#!/usr/bin/regina" >"/usr/local/bin/$GUICOMMAND"
iString="'interpretedParsedArguments'"
commandParms='"'$GUICOMMAND'" "'$VERSIONNO'" "'$iString'"'
coreContent="trace off;parse arg interpretedParsedArguments;'$cmdKommander $commandParms';exit"
echo $coreContent >>"/usr/local/bin/$GUICOMMAND"


chmod 755 /usr/local/bin/readRexSetting
chmod 755 /usr/local/bin/KMDRREXARGS
chmod 755 /usr/local/bin/REXDIALOG
chmod 755 "/usr/local/bin/"$GUICOMMAND"_init.rex"
chmod 755 "/usr/local/bin/$GUICOMMAND.rex"
chmod 755 "/usr/local/bin/$GUICOMMAND"


if [ $? != 0 ]; then 
	kdialog --title "$GUICOMMAND" --sorry "$msgerr1"
	exit 99 
fi

## Exécution des opérations demandées

# right click for Konqueror
echo "$INST" | grep "1" >/dev/null
if [ $? = 0 ] ; then
	if [ -d "$SERVICEMENUKPATH" ]; then
		echo $msg3""$GUICOMMAND".desktop => "$SERVICEMENUKPATH
	else
		echo $msg4$SERVICEMENUKPATH
		mkdir "$SERVICEMENUKPATH">/dev/null 2>&1
		echo $msg4""$GUICOMMAND".desktop => "$SERVICEMENUKPATH
	fi

	# cp -p app/konqueror/rightClick.desktop $SERVICEMENUKPATH/$GUICOMMAND.desktop
	cat app/konqueror/rightClick.desktop | sed "s/##guicommand##/$GUICOMMAND/" >"$SERVICEMENUKPATH/$GUICOMMAND.desktop"
	echo "Icon="$INSTALLPATH"/"$GUICOMMAND"_icon.png">>"$SERVICEMENUKPATH/$GUICOMMAND.desktop"
fi

# right click for Dolphin
echo "$INST" | grep "2" >/dev/null
if [ $? = 0 ] ; then
	if [ -d "$SERVICEMENUDPATH" ]; then
		echo $msg3""$GUICOMMAND".desktop => "$SERVICEMENUDPATH
	else
		echo $msg4$SERVICEMENUDPATH
		mkdir "$SERVICEMENUDPATH">/dev/null 2>&1
		echo $msg4""$GUICOMMAND".desktop => "$SERVICEMENUDPATH
	fi

	# cp -p app/konqueror/rightClick.desktop $SERVICEMENUDPATH/$GUICOMMAND.desktop
	cat app/konqueror/rightClick.desktop | sed "s/##guicommand##/$GUICOMMAND/" >"$SERVICEMENUDPATH/$GUICOMMAND.desktop"
	echo "Icon="$INSTALLPATH"/"$GUICOMMAND"_icon.png">>"$SERVICEMENUDPATH/$GUICOMMAND.desktop"
fi

# addons
echo "$INST" | grep "3" >/dev/null
if [ $? = 0 ]; then
	# cp app/addon/core.kmdr $INSTALLPATH/$GUICOMMAND.kmdr
	wget http://plmegalo.free.fr/MVE/HandBrakeCLI.tar.gz
	tar -xvzf HandBrakeCLI.tar.gz -O >/usr/local/bin/HandBrakeCLI
	chmod 755 /usr/local/bin/HandBrakeCLI
fi

if [ "$msgerr" != "" ]; then
	kdialog --title ""$GUICOMMAND"" --sorry "$msgerr"
fi

exit
